Author Topic: php-fpm not installed  (Read 181 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
php-fpm not installed
« on: April 23, 2020, 10:28:02 PM »
hello,

i lost partition home and need to re-install my centos and cwp. now, i tried to change server apache&nginx&varnish but, nginx not starting. bcos, its always says that error,

Code: [Select]
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [warn] the "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /etc/nginx/conf.d/vhosts/inegoladsm.gov.tr.ssl.conf:148
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [warn] the "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /etc/nginx/conf.d/vhosts/intranet.inegoladsm.gov.tr.ssl.conf:9
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [warn] the "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /etc/nginx/conf.d/vhosts/intranet.inegoladsm.gov.tr.ssl.conf:74
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [warn] the "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /etc/nginx/conf.d/vhosts/intranet.inegoladsm.gov.tr.ssl.conf:111
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [warn] the "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /etc/nginx/conf.d/vhosts/intranet.inegoladsm.gov.tr.ssl.conf:148
Apr 24 02:14:21 cwp.inegoladsm.gov.tr nginx[9501]: nginx: [emerg] cannot load certificate "/etc/pki/tls/certs/intranet.inegoladsm.gov.tr.bundle": PEM_read_bio_X509_AUX() failed (SSL: error:0906D06C:PEM routines:PEM_read_bio:no start line:Expecting: TRUSTED CERTIFICATE)
Apr 24 02:14:21 cwp.inegoladsm.gov.tr systemd[1]: nginx.service: control process exited, code=exited status=1
Apr 24 02:14:21 cwp.inegoladsm.gov.tr systemd[1]: Failed to start nginx - high performance web server.
Apr 24 02:14:21 cwp.inegoladsm.gov.tr systemd[1]: Unit nginx.service entered failed state.
Apr 24 02:14:21 cwp.inegoladsm.gov.tr systemd[1]: nginx.service failed.

when i try to change webserver main cfg, show always everywhere php-fpm not install and directing php-fpm selector. its not workin on free version. always says cwppro required. how can i solve that problem?

Offline
**
Re: php-fpm not installed
« Reply #1 on: April 24, 2020, 06:00:59 PM »
did you change your servers hostname
 cannot load certificate "/etc/pki/tls/certs/intranet.inegoladsm.gov.tr.bundle
is causing Nginx startup failure

The php-fpm issue will be resolved when you purchase pro

Offline
*
Re: php-fpm not installed
« Reply #2 on: April 25, 2020, 11:42:35 PM »
i solved the problem like this,

removed all accounts and domains on my server and changed apache settings then all services working fine.